curl --request PATCH \
--url https://api.uat.frankie.one/v2/individuals/{entityId}/documents/{documentId}/status \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'import requests
url = "https://api.uat.frankie.one/v2/individuals/{entityId}/documents/{documentId}/status"
payload = { "comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
} }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
comment: {
text: 'Update after speaking to customer over the phone directly.',
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
}
})
};
fetch('https://api.uat.frankie.one/v2/individuals/{entityId}/documents/{documentId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"processResults": [
{
"processResultId": "<string>",
"schemaVersion": 123,
"entityId": "<string>",
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"stepName": "<string>",
"stepType": "<string>",
"objectType": "<string>",
"objectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"providerResult": {
"name": "<string>",
"source": "<string>",
"sourceNormalized": "<string>",
"reference": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"confidence": {
"normalized": 50,
"actual": "<string>"
},
"riskScore": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
},
"subClass": "<string>",
"supplementaryData": {
"serviceProvider": "<string>",
"searchId": "<string>",
"caseId": "<string>",
"referenceId": "<string>",
"originalStepSearchLevel": "<string>",
"groupingId": "<string>",
"reportUrl": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"matchData": {
"spReferenceId": "<string>",
"name": "<string>",
"strength": 123,
"givenName": "<string>",
"otherName": "<string>",
"familyName": "<string>",
"date": "<string>",
"address": "<string>",
"countries": [
{
"code": "<string>",
"matchType": "<string>"
}
],
"nationalId": {
"idNumber": "<string>",
"idType": "<string>",
"idExpiry": "<string>",
"issuingCountryCode": "<string>",
"documentId": "<string>"
},
"imageUrl": "<string>",
"isDeceased": true,
"isAlias": true,
"isRelated": true
},
"aliases": [
"<string>"
],
"relatedParties": [
{
"name": "<string>",
"relationship": "<string>"
}
],
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"notes": {},
"pepData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"level": "<string>",
"sourceUrl": "<string>",
"sourcePosition": "<string>",
"position": "<string>",
"positionDescription": "<string>",
"status": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"sanctionData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"watchlistData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"mediaData": [
{
"title": "<string>",
"source": "<string>",
"snippet": "<string>",
"sourceDate": "<string>",
"sourceCountry": "<string>",
"url": "<string>",
"isCurrent": true
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"notes": {},
"systemStatus": "VALID",
"riskFactors": [
{
"factor": "<string>",
"value": "<string>"
}
],
"updatedBy": "<string>"
}
]
}Update the status of a supporting document
Update the status of a support document. This will create or update the process result for the given document. The given document must be a support document with an attachment, otherwise the request will fail with a 400 Bad Request error. Only support documents can currently be reviewed in this way.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Unique identifier for a document
Body
Any manual status set after the results have been reviewed.
- APPROVED: When the document has been reviewed and is acceptable.
- REJECTED: When the document has been reviewed and is deemed to be not acceptable.
- NEEDS_ATTENTION: When the document has been reviewed and requires further attention.
APPROVED, REJECTED, NEEDS_ATTENTION Show child attributes
Show child attributes
Was this page helpful?